Skip to main content
POST
Create New Conversation

Authorizations

Authorization
string
header
required

Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.

Path Parameters

account_id
integer
required

The numeric ID of the account

Body

application/json
source_id
string
required

Conversation source id

Example:

"1234567890"

inbox_id
integer

Id of inbox in which the conversation is created
Allowed Inbox Types: Website, Phone, Api, Email

Example:

1

contact_id
integer

Contact Id for which conversation is created

Example:

1

additional_attributes
object

Lets you specify attributes like browser information

Example:
custom_attributes
object

The object to save custom attributes for conversation, accepts custom attributes key and value

Example:
status
enum<string>

Specify the conversation whether it's pending, open, closed

Available options:
open,
resolved,
pending
Example:

"open"

assignee_id
integer

Agent Id for assigning a conversation to an agent

Example:

1

team_id
integer

Team Id for assigning a conversation to a team\

Example:

1

snoozed_until
string<date-time>

Snoozed until date time

Example:

"2030-07-21T17:32:28Z"

message
object

The initial message to be sent to the conversation

Response

Success

id
number

ID of the conversation

account_id
number

Account Id

inbox_id
number

ID of the inbox